@font-face
{
    font-family: 'Madimi One';
    src: url('../Fonts/MadimiOne-Regular.woff2') format('woff2');
    font-weight: normal;
    font-style: normal;
    font-display: swap;
}
@font-face
{
    font-family: 'Roboto';
    src: url('../Fonts/Roboto-Regular.woff2') format('woff2');
    font-weight: normal;
    font-style: normal;
    font-display: swap;
}



html, body
{
    scroll-behavior: smooth;
    font-family: 'Roboto', sans-serif;
    margin: 0;
    padding: 0;
    opacity: 1;
    transition: opacity 0.5s ease-in-out;
    background: rgb(251, 255, 255);
}

.content
{
    overflow-y: hidden;
    margin-top: 80px;
    width: 100%;
    height: calc(100vh - 80px);
    position: relative;
    margin-bottom: 0;
}

@media (max-width: 768px)
{
    .content
    {
        margin-top: 39px;
        height: calc(100vh - 39px);
    }
    .sidebar
    {
        position: fixed;
        height: 100% !important;
        top: 0;
    }
}

::selection
{
    background: #0097d3a1;
    text-shadow: 0px 0px 1px rgb(0, 0, 0);
}

h2
{
    font-size: 2.2em;
}
h3
{
    font-size: 1.6em;
}


.sidebar
{
    position: fixed;
    height: 100vh !important;
    top: 0;
}

.sidebar-active .sidebar .menu-btn
{
    display: none !important;
}



/*          #region Heading            */
.heading
{
    width: 100%;
    background: hsl(197, 80%, 25%);
    display: flex;
    justify-content: space-between;
    align-items: center;
    top: 0;
    height: 80px;
    position: fixed;
    box-shadow: 0 0px 18px #0000006e;
}

.logo
{
    margin: 0 15px;
    padding: 5px 10px;
    cursor: pointer;
    height: 45px;

}

.heading .log-in
{
    font-family: "Roboto", sans-serif;
    font-weight: 200;
    font-style: normal;
    font-size: 120%;
    margin: 0 65px;
    padding: 11px 45px;
    color: white;
    border: none;
    background-color: #00991900;
    border: 2px solid #ffffff;
    box-shadow: 0 0 20px rgba(0, 0, 0, 0.329);
    transition: 0.2s;
    border-radius: 30px;
    cursor: pointer;
}

.heading .log-in:hover
{
    background-color: #00000027;
}

.heading .log-in:active
{
    background-color: #0000005b;
    font-size: 110%;
}

.heading-left
{
    gap: 0px;
    padding: 0 0 0 20px;
    display: flex;
    align-items: center;
}

.header-menu-btn
{
    color: white;
    font-size: 2.2em;
    display: flex;
    align-items: center;
    justify-content: center;
    cursor: pointer;
    transition: 0.2s;
    background: transparent;
    outline: none;
    border: none;
}
.header-menu-btn:hover
{
    color: rgb(180, 180, 180);
}

@media (max-width: 768px)
{
    .heading
    {
        height: 40px;
    }
    .logo
    {
        margin: 0 5px;
        padding: 0;
        height: 28px
    }
    .heading .log-in
    {
        font-size: 1em;
        margin: 0 12px;
        padding: 4px 25px;
    }
    .header-menu-btn
    {
        font-size: 1.8em;
    }
    .heading-left
    {
        padding: 0 0 0 5px;
    }
}

/* #endregion */


/*          #region main-panel            */
.main-panel
{
    box-sizing: border-box;
    margin-left: 0px;
    height: 100%;
    transition: margin-left 0.3s;
    overflow-y: auto;
    overflow-x: hidden;
}

.start-page
{
    background: hsl(197, 80%, 18%);
    width: 100%;
    min-height: calc(100vh - 80px);
    max-height: none;
    padding: 20px 0;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    text-align: center;
    flex-grow: 1;
}

.main-content
{
    color: rgb(255, 255, 255);
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    gap: 2px;
}

.main-title
{
    font-family: "Madimi One", sans-serif;
    font-weight: 900;
    font-size: 5em;
    margin: 0px;
    letter-spacing: 2px;

    animation: FadeTitle 1s ease;
}

@keyframes FadeTitle
{
    0%{
        opacity: 0;
        transform: translateY(-20px);
    }
    100%{
        opacity: 1;
        transform: translateY(0);
    }
}

.main-explanation
{
    width: 50%;
    font-family: "Madimi One", sans-serif;
    font-size: 1.6em;
    font-weight: 200;
    font-style: normal;
    text-align: center;

    animation: FadeExplanation 1s ease;
}

@keyframes FadeExplanation
{
    0%{
        opacity: 0;
        transform: translateY(-20px);
    }
    15%{
        opacity: 0;
        transform: translateY(-20px);
    }
    100%{
        opacity: 1;
        transform: translateY(0);
    }
}

input[type="search"]
{
    background-color: #ffffffde;
    padding: 10px;
    border: none;
    border-radius: 50px;
    width: 610px;
    height: 56px;
    transition: border-color 0.3s;
    font-size: 120%;
    margin-top: 55px;
    padding-left: 20px;
    transition: 0.4s;
    outline: none;
    animation: FadeSearch 1.5s ease;
}

@keyframes FadeSearch
{
    0%{
        opacity: 0;
        width: 0px;
    }
    20%{
        opacity: 0;

    }
    100%{
        opacity: 1;
        width: 610px;
    }
}

input[type="search"]:hover
{
    background-color: #ffffff;
}

input[type="search"]:focus::placeholder
{
    color: transparent;
}
input[type="search"]::placeholder
{
    color: #222;
    transition: color 0.5s ease;
}



@media (max-width: 768px)
{
    .start-page
    {
        min-height: auto;
        height: auto;
        text-align: center;
        text-wrap: wrap;
        padding: 40px 0;
    }

    .main-title
    {
        font-family: "Madimi One", sans-serif;
        font-size: 2em;
        margin: 0px;
        letter-spacing: 2px;

        animation: FadeTitle 1s ease;
    }

    .main-explanation
    {
        width: 90%;
        font-family: "Madimi One", sans-serif;
        font-size: 1.1em;
        font-weight: 100;

        animation: FadeExplanation 1s ease;
    }

    .start-page form
    {
        width: 100%;
    }

    input[type="search"]
    {
        background-color: #ffffffde;
        padding: 8px 10px;
        width: 90%;
        height: auto;
        transition: border-color 0.3s;
        font-size: 1.2em;
        animation: FadeSearch 1.5s ease;
    }
    @keyframes FadeSearch
    {
        0%{
            opacity: 0;
            width: 0px;
        }
        20%{
            opacity: 0;

        }
        100%{
            opacity: 1;
            width: 90%;
        }
    }


}
/* #endregion */


/*          #region description            */
.description
{
    font-family: "Madimi One", sans-serif;
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
}


.part1
{
    margin-top: 20px;
    width: 100%;
    height: calc(100vh - 80px);
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: space-around;
    text-align: center;
    background-color: hsl(197, 80%, 18%);
}
.part1 h2
{
    font-size: 3.5em;
    margin: 0;
    color: white;
}
.visual-caption
{
    position: absolute;
    bottom: 0;
    font-size: 1.7em;
    height: 10%;
    overflow: visible;
    text-align: center;
    text-wrap: word-wrap;
    padding: 15px 0;
    max-width: 60%;
    color: hsl(0, 0%, 100%);
    animation: TurnON 1s;
}
@keyframes TurnON
{
    0%{
        opacity: 0;
    }
    90%{
        opacity: 0;

    }
    100%{
        opacity: 1;
    }
}



.part2
{
    margin-top: 1600px;
    margin-bottom: 80px;
    width: 95%;
    max-width: 950px;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-wrap: wrap;
    gap: 25px;
}

.info-card
{
    background: linear-gradient(to bottom, hsl(258, 100%, 50%), hsl(265, 100%, 50%));
    color: white;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    align-items: center;
    text-align: center;
    text-wrap: wrap;
    width: 220px;
    height: 300px;
    padding: 20px;
    border-radius: 20px;
    box-shadow: 0 10px 40px rgba(0, 0, 0, 0.24);
    opacity: 0;
    transform: translateY(50px);
    transition: all 1s;
}
.info-card.show
{
    transform: translateY(0);
    opacity: 1;
}
.info-card:nth-child(1)
{
    transition-delay: 200ms;
}
.info-card:nth-child(2)
{
    transition-delay: 400ms;
}
.info-card:nth-child(3)
{
    transition-delay: 600ms;
}
.info-card:nth-child(4)
{
    transition-delay: 200ms;
}
.info-card:nth-child(5)
{
    transition-delay: 400ms;
}
.info-card:nth-child(6)
{
    transition-delay: 600ms;
}



.info-card .material-symbols-outlined
{
    font-size: 2.2em;
    margin-top: 10px;
    color: rgba(255, 255, 255, 0.753);
}
.info-card p
{
    font-size: 1.1em;
}

@media (max-width: 768px)
{
    .part1
    {
        height: auto;
        margin-top: -1px;
    }
    .part1 h2
    {
        font-size: 3em;
    }
    .visual-caption
    {
        position: relative;
        font-size: 1.5em;
        height: auto;
        padding: 15px 0;
        max-width: 90%;
        margin-top: 30px;
        margin-bottom: 30px;
    }

    .part2
    {
        margin-top: 50px;
        margin-bottom: 80px;
        width: 95%;
        max-width: 950px;
        display: flex;
        align-items: center;
        justify-content: center;
        flex-wrap: wrap;
        gap: 25px;
    }

    .info-card:nth-child(1)
    {
        transition-delay: 200ms;
    }
    .info-card:nth-child(2)
    {
        transition-delay: 200ms;
    }
    .info-card:nth-child(3)
    {
        transition-delay: 200ms;
    }
    .info-card:nth-child(4)
    {
        transition-delay: 200ms;
    }
    .info-card:nth-child(5)
    {
        transition-delay: 200ms;
    }
    .info-card:nth-child(6)
    {
        transition-delay: 200ms;
    }


}

/* #endregion */


/*          #region visualization            */
.visualization-block
{
    width: 100%;
    height: 90%;
    display: flex;
    justify-content: center;
}


#visualization-container
{
    width: 80%;
    min-width: 80%;
    height: 90%;
    margin: 25px 0;
    box-shadow: 0 0 60px rgba(0, 0, 0, 0.192);
    transform-origin: top center;
}


#visualization-container2
{
    transform: scaleX(0.8);
    width: 35%;
    min-width: 35%;
    height: 90%;
    margin: 25px 0;
    box-shadow: 0 0 60px rgba(0, 0, 0, 0.192);
    transform-origin: top right;
    opacity: 0;
}
#visualization-container3
{
    transform: scaleX(0.8);
    width: 35%;
    min-width: 35%;
    height: 90%;
    margin: 25px 0;
    box-shadow: 0 0 60px rgba(0, 0, 0, 0.192);
    transform-origin: top left;
    opacity: 0;
}

@media (max-width: 768px)
{
    #visualization-container2
    {
        display: none;
    }
    #visualization-container3
    {
        display: none;
    }
    #visualization-container
    {
        box-sizing: border-box;
        position: absolute;
        width: 90%;
        min-width: 90%;
        height: 100%;
        margin: 0;
        box-shadow: 0 0 60px rgba(0, 0, 0, 0.192);
        transform-origin: top center;
        touch-action: auto !important; /* pozwól przeglądarce przewijać normalnie */
        -ms-touch-action: auto !important;
    }
    .visualization-block
    {
        width: 100%;
        height: 45vh;
        margin-top: 20px;
        display: flex;
        padding: 10px;
        justify-content: center;
    }
}

/* #endregion */




/*          #region Tiles        */
.tiles
{
    width: 80%;
    height: fit-content;
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
    gap: 20px;
    margin-top: 80px;
}

.tile
{
    box-sizing: border-box;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: space-around;
    gap: 20px;
    width: calc((100% - 120px) / 7);
    min-width: 158px;
    height: auto;
    padding: 10px;
    border-radius: 10px;
    font-size: 0.95em;
    color: white;
    cursor: pointer;
    margin: 0;
    opacity: 0;
    transform: translateY(20px);
    animation: fadeInUp 1s ease forwards;
    transition: 0.3s ease;

}
.tile:hover
{
    box-shadow: 0 0 30px rgba(255, 255, 255, 0.699), 0 0 10px rgba(255, 255, 255, 0.466);
}
@keyframes fadeInUp
{
  0%{
    opacity: 0;
    transform: translateY(20px);
  }
  100%{
    opacity: 1;
    transform: translateY(0);
  }
}
.tile h3
{
    margin: 0;
    font-size: 1em;
    font-weight: 400;
}
.tile img
{
    margin: 0;
    width: 144px;
    height: 66.6px;
}

#t1
{
    animation-delay: 0s;
    border: 3px solid white;
}
#t2
{
    animation-delay: 0.1s;
    border: 3px solid white;
}
#t3
{
    animation-delay: 0.2s;
    border: 3px solid white;
}
#t4
{
    animation-delay: 0.3s;
    border: 3px solid white;
}
#t5
{
    animation-delay: 0.4s;
    border: 3px solid white;
}
#t6
{
    animation-delay: 0.5s;
    border: 3px solid white;
}
#t7
{
    animation-delay: 0.6s;
    border: 3px solid white;
}
#t8
{
    animation-delay: 0.7s;
    border: 3px solid white;
}
#t9
{
    animation-delay: 0.8s;
    border: 3px solid white;
}
#t10
{
    animation-delay: 0.9s;
    border: 3px solid white;
}
#t11
{
    animation-delay: 1s;
    border: 3px solid white;
}
#t12
{
    animation-delay: 1.1s;
    border: 3px solid white;
}
#t13
{
    animation-delay: 1.2s;
    border: 3px solid white;
}
#t14
{
    animation-delay: 1.3s;
    border: 3px solid white;
}



@media (max-width: 768px)
{
    .tiles
    {
        gap: 10px;
    }

    .tile
    {
        gap: 20px;
        width: calc((100% - 40px) / 2);
        min-width: 125px;
        font-size: 0.9em;
    }
    .tile img
    {
        width: 109.1px;
        height: 50.4px;
    }
}
/* #endregion*/


